[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#3057: pcmcia-cs kernel-source dependency

Bruce Perens writes ("Bug#3057: pcmcia-cs kernel-source dependency"):
> Package: pcmcia-cs
> I think the control file should specify
> Depends: kernel-source (>=1.3.97)
> Hopefully the virtual-dependency scheme will work correctly for that.
> I tried to install it with the 1.3.100 kernel and it failed.

I'm afraid it won't.  (Virtual dependencies don't work with version
numbers, and in any case you'd have to Provide a version number if
they did.)

Do you really mean kernel-source, rather than kernel-image ?  If you
mean the latter then perhaps it shouldn't use dpkg dependencies but
instead use `uname' in the preinst.


Reply to: